import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增【通知】
    appsysteminform(data) {
        return request({
            url: '/system/inform',
            method: 'post',
            data
        })
    },
    //修改【通知】
    editsysteminform(data) {
        return request({
            url: '/system/inform/edit',
            method: 'post',
            data
        })
    },
    //修改【分类】
    editeditClassifyId(data) {
        return request({
            url: '/system/inform/editClassifyId',
            method: 'post',
            data
        })
    },
    //查询【通知】列表
    inquiresysteminformlist(data) {
        return request({
            url: '/system/inform/list',
            method: 'get',
            params: data
        })
    },
    //查询通知绑定学员列表
    inquiresystemlistInformUser(data) {
        return request({
            url: '/system/inform/listInformUser',
            method: 'get',
            params: data
        })
    },
    //查询班级列表下的学员
    inquiresysteminformlistGrade(data) {
        return request({
            url: '/system/inform/listGrade',
            method: 'get',
            params: data
        })
    },
    //查询未分班下的学员
    inquiresysteminformlistGradeStudy(data) {
        return request({
            url: '/system/inform/listGradeStudy',
            method: 'get',
            params: data
        })
    },
    //查询业务层次下的学员
    inquiresysteminformlistGradeService(data) {
        return request({
            url: '/system/inform/listGradeService',
            method: 'get',
            params: data
        })
    },
    //查询商品課程列表
    inquiresysteminformlistGoodsCourse(data) {
        return request({
            url: '/system/inform/listGoodsCourse',
            method: 'get',
            params: data
        })
    },
    //查询商品题库列表
    inquiresysteminformbanklist(data) {
        return request({
            url: '/system/inform/bank/list',
            method: 'get',
            params: data
        })
    },
    //获取【通知】详细信息
    obtainsysteminform(data) {
        return request({
            url: `/system/inform/` + data,
            method: 'get',
        })
    },
    //有多少学员无该课程或题库
    inquireselectNum(data) {
        return request({
            url: '/system/inform/selectNum',
            method: 'post',
            data
        })
    },
}